#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <functional>

using namespace std;

void solve(int test_ind){
	int n;
	cin >> n;

	long long r = 0, b = 0;
	int rm = 0, bm = 0;
	vector<pair<int, pair<int, char> > > v;
	for (int i=0;i<n;++i) {
		int x, m;
		char c;
		cin >> x >> m;
		cin >> c;
		v.push_back({x, {m, c}});
		if (c == 'R') {
			rm = x;
			r += m;
		} else {
			bm = x;
			b += m;
		}
	}
	if (b > r) {
		if (rm > bm) {
			cout << "DRAW " << rm << " +" << endl;
		} else {
			cout << "SECOND" << endl;
		}
	} else {
		if (b == r) cout << "DRAW " << rm << " +" << endl;
		else {
			if (bm > rm) {
				if (v[n-1].second.first == 1 && v[n-2].second.second == 'R' && rm == bm - 1) {
					cout << "FIRST " << rm << " +" << endl;
				} else {
					cout << "DRAW " << rm << " +" << endl;
				}
			} else {
				cout << "FIRST " << rm << " +" << endl;
			}
		}
	}
}

int main(){
	cin.tie(0);
	ios_base::sync_with_stdio(false);
	int t=1;
	cin >> t;
	for(int i=0;i<t;i++){
		solve(i);
	}
	return 0;
}
